# Policy_ForwardC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for Policy_ForwardC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::PolicyList
class | CORBA::PolicyTypeSeq
struct | TAO::Objref_Traits< ::CORBA::Policy >
struct | TAO::Objref_Traits< ::CORBA::PolicyCurrent >

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_POLICY__VAR_OUT_CH_
#define | _CORBA_POLICYLIST_CH_
#define | _CORBA_POLICYTYPESEQ_CH_
#define | _CORBA_POLICYCURRENT__VAR_OUT_CH_
#define | _CORBA_POLICY__TRAITS_
#define | _CORBA_POLICYCURRENT__TRAITS_

## Typedefs

typedef CORBA::ULong_out | PolicyType_out
typedef TAO_Objref_Var_T< Policy > | Policy_var
typedef TAO_Objref_Out_T< Policy > | Policy_out
typedef TAO_MngSeq_Var_T< PolicyList, TAO_Object_Manager< Policy, Policy_var > > | PolicyList_var
typedef TAO_MngSeq_Out_T< PolicyList, PolicyList_var, TAO_Object_Manager< Policy, Policy_var > > | PolicyList_out
typedef TAO_FixedSeq_Var_T< PolicyTypeSeq, PolicyType > | PolicyTypeSeq_var
typedef TAO_Seq_Out_T< PolicyTypeSeq, PolicyTypeSeq_var, PolicyType > | PolicyTypeSeq_out
typedef PolicyCurrent * | PolicyCurrent_ptr
typedef TAO_Objref_Var_T< PolicyCurrent > | PolicyCurrent_var
typedef TAO_Objref_Out_T< PolicyCurrent > | PolicyCurrent_out
typedef SetOverrideType & | SetOverrideType_out

## Enumerations

enum | SetOverrideType { SET_OVERRIDE, ADD_OVERRIDE }

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Policy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Policy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::PolicyTypeSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::PolicyTypeSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, CORBA::SetOverrideType)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::SetOverrideType &)

## Define Documentation

#define _CORBA_POLICY__TRAITS_

#define _CORBA_POLICY__VAR_OUT_CH_

#define _CORBA_POLICYCURRENT__TRAITS_

#define _CORBA_POLICYCURRENT__VAR_OUT_CH_

#define _CORBA_POLICYLIST_CH_

#define _CORBA_POLICYTYPESEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< Policy > CORBA::Policy_out

typedef TAO_Objref_Var_T< Policy > CORBA::Policy_var

typedef TAO_Objref_Out_T< PolicyCurrent > CORBA::PolicyCurrent_out

typedef PolicyCurrent* CORBA::PolicyCurrent_ptr

typedef TAO_Objref_Var_T< PolicyCurrent > CORBA::PolicyCurrent_var

typedef TAO_MngSeq_Out_T< PolicyList, PolicyList_var, TAO_Object_Manager< Policy, Policy_var > > CORBA::PolicyList_out

typedef TAO_MngSeq_Var_T< PolicyList, TAO_Object_Manager< Policy, Policy_var > > CORBA::PolicyList_var

typedef CORBA::ULong_out CORBA::PolicyType_out

typedef TAO_Seq_Out_T< PolicyTypeSeq, PolicyTypeSeq_var, PolicyType > CORBA::PolicyTypeSeq_out

typedef TAO_FixedSeq_Var_T< PolicyTypeSeq, PolicyType > CORBA::PolicyTypeSeq_var

typedef SetOverrideType& CORBA::SetOverrideType_out

## Enumeration Type Documentation

enum SetOverrideType

Enumeration values:

  SET_OVERRIDE |
  ADD_OVERRIDE |

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | CORBA::SetOverrideType |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyTypeSeq & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::PolicyList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Policy_ptr |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::SetOverrideType & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyTypeSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::PolicyList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Policy_ptr & |
| ) |